/* Agent Tcl
   Bob Gray
   10 January 1996

   tclUtility.h

   This file defines various utility routines.

   Copyright (c) 1995-1996, Bob Gray, Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _TCL_UTILITY_H
#define _TCL_UTILITY_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#ifdef __cplusplus
#define EXTERN extern "C"
#else
#define EXTERN extern
#endif

struct Tcl_Interp;
struct Tcl_DString;

EXTERN void Tcl_TransferResult (Tcl_Interp *dest, Tcl_Interp *source); 

EXTERN char *Tcl_DStringExtract (Tcl_DString *dstring);

#endif
