/* Agent Tcl
   Bob Gray
   10 January 1996

   agentVersion.h

   This file defines the release information for the Agent Tcl core. 

   Copyright (c) 1995-1997, Bob Gray, Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _AGENT_VERSION_H
#define _AGENT_VERSION_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#ifndef _GEN_VERSION_H
#include "genVersion.h"
#endif

    /* major and minor numbers */

const char *const	   c_CORE_NAME	       = "CORE";
const int                  c_CORE_MAJOR_NUMBER = 2;
const int                  c_CORE_MINOR_NUMBER = 0;
const Version::ReleaseType c_CORE_QUALITY      = Version::e_ALPHA;

    /* copyright string */

const char* const c_CORE_COPYRIGHT = 
	"Agent Tcl: Alpha Release 2.0\n\
	 Copyright 1995-1997, Bob Gray,\
	 Department of Computer Science, Dartmouth College";

#endif
