/* Agent Tcl
   Bob Gray
   21 January 1997

   genConversion.h

   This file defines various conversion routines that are useful only in
   the agent interpreters.

   Copyright (c) 1995-1996, Bob Gray, Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _GEN_AGENT_CONN_H
#define _GEN_AGENT_CONN_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

    /* forward declarations so we can compile */

class AgentMaskEntry;

    /* conversion routines */

char *Agent_AgentMaskEntryToString
	(const struct AgentMaskEntry *maskEntry);

#endif
