/* Agent Tcl
 * Bob Gray
 * 6 January 1995
 * 
 * *** DIFFERENT THAN THE STANDARD TCL DISTRIBUTION ***
 *
 * This is the MODIFIED version of Tcl that is part of the Agent Tcl system.
 * This MODIFIED version allows the capture and restoration of a script's
 * internal state.
 * 
 * tclState.h --
 *
 *    This file defines the procedures that are used to set and get the
 *    the state variables.
 */

#ifndef _TCL_STATE_H
#define _TCL_STATE_H
#ifdef STACK

  /* This macro -- like most macros -- should not change its input */
  /* paramaters!  Bad things happen if it does.                    */
 
#define integerToString(n,buffer) { \
    register int i; \
    register int digits; \
\
	/* count the number of digits */ \
\
    i = n; \
    digits = 0; \
\
    do \
    { \
	digits += 1; \
	i /= 10; \
    } \
    while (i > 0); \
\
	/* convert to a string */ \
\
    i = n; \
    buffer[digits] = '\0'; \
\
    do \
    { \
	digits -= 1; \
	buffer[digits] = (i % 10) + '0'; \
	i /= 10; \
    } \
    while (digits > 0); \
}

#endif    /* STACK */
#endif    /* TCL_STATE_H */
